Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.irplugin
Class IRPlugin

    java.lang.Object
      it.businesslogic.ireport.plugin.IReportPlugin
          com.jaspersoft.jasperserver.irplugin.IRPlugin

    public class IRPlugin

extends it.businesslogic.ireport.plugin.IReportPlugin

Author:
  Administrator

Field Summary
`static java.lang.String` | `baseName`
`static java.lang.String` | `configFileName`
`static java.lang.String` | `CURRENT_VERSION`
`static java.lang.String` | `localPackageName` I8n variables
`static java.lang.String` | `PROPERTY_CHECK_FOR_UPDATE`
`static java.lang.String` | `REQUIRED_VERSION` REQUIRED_VERSION and CURRENT_VERSION are set using a property file.

Constructor Summary
`IRPlugin()` Creates a new instance of HelloWorld

Method Summary
`void` | `call()`
`void` | `configure()`
`static java.lang.String` | `createTmpFileName(java.lang.String filePrefix, java.lang.String fileExtension)` Create a tmp file name.
`java.util.Properties` | `getBrandingProperties()`
`static java.lang.String` | `getFormattedString(java.lang.String cID, java.lang.String defaultValue, java.lang.Object[] args)`
`java.util.List` | `getJServers()`
`static IRPlugin` | `getMainInstance()`
`static java.util.ResourceBundle` | `getOLanguage()`
`java.util.Properties` | `getProperties()` Get Plugin properties
`RepositoryExplorer` | `getRepositoryExplorer()`
`static java.lang.String` | `getString(java.lang.String cID, java.lang.String defaultValue)` I18n utilities....
`java.util.List` | `getSupportedQueryLanguages()` Returns the languages configured in the BrandingProperties
`boolean` | `isViewVisible()`
`void` | `loadConfiguration()` Load the plugin configuration from IREPORT_USER_HOME_DIR/jasperserverplugin.xml
`boolean` | `saveConfiguration()` Save the plugin configuration in IREPORT_USER_HOME_DIR/jasperserverplugin.xml
`void` | `setBrandingProperties(java.util.Properties brandingProperties)`
`void` | `setJServers(java.util.List jServers)`
`static void` | `setOLanguage(java.util.ResourceBundle aOLanguage)`
`void` | `setProperties(java.util.Properties properties)` Set Plugin properties (this nethod should be never used....
`void` | `setRepositoryExplorer(RepositoryExplorer repositoryExplorer)`
`void` | `setViewVisible(boolean viewVisible)`

Methods inherited from class it.businesslogic.ireport.plugin.IReportPlugin
`getMainFrame, getName, setMainFrame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configFileName

    public static java.lang.String configFileName

### REQUIRED_VERSION

    public static java.lang.String REQUIRED_VERSION

  REQUIRED_VERSION and CURRENT_VERSION are set using a property file.

### CURRENT_VERSION

    public static java.lang.String CURRENT_VERSION

### PROPERTY_CHECK_FOR_UPDATE

    public static final java.lang.String PROPERTY_CHECK_FOR_UPDATE

See Also:
  Constant Field Values

### localPackageName

    public static final java.lang.String localPackageName

  I8n variables

  See Also:
    Constant Field Values

### baseName

    public static final java.lang.String baseName

See Also:
  Constant Field Values

Constructor Detail

### IRPlugin

    public IRPlugin()

  Creates a new instance of HelloWorld

Method Detail

### getMainInstance

    public static IRPlugin getMainInstance()

### call

    public void call()

  Specified by:
    `call` in class `it.businesslogic.ireport.plugin.IReportPlugin`

### configure

    public void configure()

  Overrides:
    `configure` in class `it.businesslogic.ireport.plugin.IReportPlugin`

### loadConfiguration

    public void loadConfiguration()

  Load the plugin configuration from IREPORT_USER_HOME_DIR/jasperserverplugin.xml

### saveConfiguration

    public boolean saveConfiguration()

  Save the plugin configuration in IREPORT_USER_HOME_DIR/jasperserverplugin.xml

### getProperties

    public java.util.Properties getProperties()

  Get Plugin properties

### setProperties

    public void setProperties(java.util.Properties properties)

  Set Plugin properties (this nethod should be never used....

### getJServers

    public java.util.List getJServers()

### setJServers

    public void setJServers(java.util.List jServers)

### createTmpFileName

    public static java.lang.String createTmpFileName(java.lang.String filePrefix,
                                                     java.lang.String fileExtension)

  Create a tmp file name. A complete path name is returned. The location of the file is the "jstmp" directory inside the IREPORT_USER_HOME_DIR (i.e. C:\Documents and Settings\gtoffoli\.ireport\jstmp\...) If this directory does not exist, it is created. filePrefix (can be null) fileExtension (can be null, default ".tmp") The caller is responsable for delation of this files. No check if the file already exists is performed.

### getRepositoryExplorer

    public RepositoryExplorer getRepositoryExplorer()

### setRepositoryExplorer

    public void setRepositoryExplorer(RepositoryExplorer repositoryExplorer)

### isViewVisible

    public boolean isViewVisible()

### setViewVisible

    public void setViewVisible(boolean viewVisible)

### getString

    public static java.lang.String getString(java.lang.String cID,
                                             java.lang.String defaultValue)

  I18n utilities....

### getFormattedString

    public static java.lang.String getFormattedString(java.lang.String cID,
                                                      java.lang.String defaultValue,
                                                      java.lang.Object[] args)

### getOLanguage

    public static java.util.ResourceBundle getOLanguage()

### setOLanguage

    public static void setOLanguage(java.util.ResourceBundle aOLanguage)

### getBrandingProperties

    public java.util.Properties getBrandingProperties()

### setBrandingProperties

    public void setBrandingProperties(java.util.Properties brandingProperties)

### getSupportedQueryLanguages

    public java.util.List getSupportedQueryLanguages()

  Returns the languages configured in the BrandingProperties

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.